Last Comment Bug 867337 - 5/27: Plugin CTP request: Flash 11.5.*-11.6.602.175
: 5/27: Plugin CTP request: Flash 11.5.*-11.6.602.175
Status: VERIFIED FIXED
[plugin]
:
Product: Toolkit
Classification: Components
Component: Blocklisting (show other bugs)
: unspecified
: All All
: -- normal with 1 vote (vote)
: 2013-05-30
Assigned To: Jorge Villalobos [:jorgev]
: Paul Silaghi, QA [:pauly]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-30 12:42 PDT by Alex Keybl [:akeybl]
Modified: 2016-03-07 15:30 PST (History)
14 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Alex Keybl [:akeybl] 2013-04-30 12:42:53 PDT
Plugin name: Flash
Plugin versions to block: 11.5.*-11.6.602.175
Applications, versions, and platforms affected: Firefox 17.0.4-17.0.* as well as Firefox 19 and up, on Windows/Mac
Block severity: CTP

Reasons: Ensure that users on old Flash versions are protected from critical security bugs. For now we're using a criteria of versions of Flash released >3wk ago with a max of 20% of our overall population receiving the CTP experience.
Comment 1 Alex Keybl [:akeybl] 2013-04-30 12:43:49 PDT
If we can go out with these blocks this week or early next at the latest, we won't need to delay until after release of FF21.
Comment 2 Alex Keybl [:akeybl] 2013-04-30 12:45:58 PDT
Jorge - do you think this deserves a blog post? Or should we wait until we finalize the criteria for blocking old versions of Flash?
Comment 3 Jorge Villalobos [:jorgev] 2013-04-30 14:35:21 PDT
(In reply to Alex Keybl [:akeybl] from comment #2)
> Jorge - do you think this deserves a blog post? Or should we wait until we
> finalize the criteria for blocking old versions of Flash?

I think it's worthwhile to announce this block along with whatever updated blocking policy we have, so that more people are aware of why and when we do things.
Comment 4 Jorge Villalobos [:jorgev] 2013-04-30 14:41:26 PDT
The block is now staged. I just updated the previous Flash 11 block: https://addons-dev.allizom.org/firefox/blocked/p178
Comment 5 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-05-02 15:24:12 PDT
(In reply to Jorge Villalobos [:jorgev] from comment #4)
> The block is now staged. I just updated the previous Flash 11 block:
> https://addons-dev.allizom.org/firefox/blocked/p178

Confirmed this is working as expected on staging. Detailed results are here:
https://wiki.mozilla.org/QA/Desktop_Firefox/Test_Plans/Bug_867337_CTP_Flash_11.5-11.6#Results

Please push live at Release Management's go.
Comment 6 Alex Keybl [:akeybl] 2013-05-15 11:13:40 PDT
Didn't realize this was waiting on us (given comment 1). We have to wait till after the release now.
Comment 7 Jorge Villalobos [:jorgev] 2013-05-27 15:30:40 PDT
The block has been updated in production.

https://addons.mozilla.org/en-US/firefox/blocked/p178
Comment 8 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-05-27 15:34:25 PDT
Unfortunately I won't be able to test this today since this won't show up for an hour due to server caching. Setting Paul as QA Contact to test this overnight.
Comment 9 Paul Silaghi, QA [:pauly] 2013-05-28 04:15:27 PDT
Confirmed this is working as expected on production. Detailed results are here:
https://wiki.mozilla.org/QA/Desktop_Firefox/Test_Plans/Bug_867337_CTP_Flash_11.5-11.6#Results

Note You need to log in before you can comment on or make changes to this bug.